# TermInitializer.sol

## TermInitializer

This contract provides utility methods for initializing/pairing a set of term/auction contracts

*This contract operates at the protocol level and provides utility functions for deploying terms/auctions*

### DeployingPaused

```solidity
error DeployingPaused()
```

### DEPLOYER\_ROLE

```solidity
bytes32 DEPLOYER_ROLE
```

### INITIALIZER\_APPROVAL\_ROLE

```solidity
bytes32 INITIALIZER_APPROVAL_ROLE
```

### DEVOPS\_ROLE

```solidity
bytes32 DEVOPS_ROLE
```

### controller

```solidity
contract ITermController controller
```

### emitter

```solidity
contract ITermEventEmitter emitter
```

### priceOracle

```solidity
contract TermPriceConsumerV3 priceOracle
```

### deployingPaused

```solidity
bool deployingPaused
```

### whileDeployingNotPaused

```solidity
modifier whileDeployingNotPaused()
```

### constructor

```solidity
constructor(address initializerApprovalRole_, address devopsWallet_) public
```

### pairTermContracts

```solidity
function pairTermContracts(contract ITermController controller_, contract ITermEventEmitter emitter_, contract TermPriceConsumerV3 priceOracle_) external
```

### setupTerm

```solidity
function setupTerm(struct TermContractGroup termContractGroup, address devOpsMultiSig, address adminWallet, string termVersion, string auctionVersion) external
```

Sets up a set of deployed term contracts

### setupAuction

```solidity
function setupAuction(contract TermRepoServicer termRepoServicer, contract TermRepoCollateralManager termRepoCollateralManager, contract TermAuctionOfferLocker termAuctionOfferLocker, contract TermAuctionBidLocker termAuctionBidLocker, contract TermAuction auction, address devOpsMultiSig, address adminWallet, string auctionVersion) external
```

Sets up a set of deployed term contracts

### pauseDeploying

```solidity
function pauseDeploying() external
```

### unpauseDeploying

```solidity
function unpauseDeploying() external
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.term.finance/0.6.0/protocol-class/terminitializer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
